Page MenuHomePhabricator

Begin conversation with wikimedia projects on page previews
Closed, DeclinedPublic

Description

Problem:
Wikimedia projects other than Wikipedia could benefit from Page Previews, however the formatting for non-enclyclopedic projects and their articles is not optimal. The Readers web team would like to reach out to other projects to understand how Page Previews might benefit them and how they would potentially need project-specific design.

Wikidata

The wikidata community is interested in a specific solution for page previews and have shown interest in releasing the feature as default for all users (logged-out and logged-in). Due to this request, we would like to reach out to other non-wikipedia communities to gauge interest in the feature. Namely:

  • is there active interest in the feature
  • if yes, would the community be interested in rolling it out as default for all users

Wiktionary

We would like to create a specialized solution for wiktionary, but before beginning development, we want to ask the communities what would work best for showing entires from the dictionary.

However, the feedback was minimal. Future attempts should include visual examples and explain what is technically possible in greater detail.

Other projects (not complete)

Wikivoyage, Wikiquote - these projects would get the normal version of previews (an extract from the first paragraph of the article)

Acceptance criteria:

  • Reach out to the above-mentioned projects and help navigate the conversation for two weeks. After two weeks, the task will be complete upon making a decision for the rollout strategy based on the feedback.

Timeline:

  • Late October-November 2017

Event Timeline

Thanks.
Would you please help us test this template we're developing for support requests.
Please make sure all of the following is covered in the description:

  1. What is the problem?
  2. How does success of this task look like? How do we know when we are done?
  3. Is there any goal, program, project, team related with this request? Please provide links and use the corresponding Phabricator tags when available.
  4. What is your expected timeline from start to end? Is there a hard deadline?

Thanks.

@Elitre - restructured - let me know if all points are covered!

Thanks Olga, we'll be in touch.

Qgil subscribed.

May - June 2017

I guess it's June, then.

Message sent to Wiktionary communities to encourage feedback and participation. 94 talk pages in total taken from the global list on meta.

Message sent: https://meta.wikimedia.org/wiki/User:CKoerner_(WMF)/Enable_Hovercards_Wiktionary

So the conversation has started? :)

CKoerner_WMF changed the task status from Open to Stalled.Oct 2 2017, 3:25 PM

Holding on this one until later in the quarter.

Qgil lowered the priority of this task from Medium to Low.Oct 4 2017, 9:07 AM

Meanwhile, could you update the description explaining what is left, and what needs to happen to un-stall this task? Is there a task blocking this one?

@ovasileva Is there any mockups already for how Page Previews might look on projects where it doesn't work well right now (like Wikidata/Wiktionary)? If not, I can create a task to create those.

A reminder that this is on the "Ready to Go" column: maybe you can already evaluate whether it's something for next quarter instead. Thank you!

Should this be retitled, repurposed, ...?

I'm going to defer to @ovasileva for what we should do with this. I don't think work on this is coming soon (like this fiscal year?). Maybe unassign and put in the backlog for now?

Jdlrobson changed the task status from Stalled to Open.Feb 22 2018, 10:17 PM
Jdlrobson subscribed.

Being bold and unstalling @CKoerner_WMF

This sounds good for now - while ready to go, it's still low priority until we can get page previews deployed to all Wikipedias.

CKoerner_WMF raised the priority of this task from Low to High.Apr 4 2018, 8:47 PM
CKoerner_WMF lowered the priority of this task from High to Medium.

@CKoerner_WMF - should we use this task to track the upcoming discussions around the config changes (enabling for new editors) or should I set up something new?

@ovasileva A new task would probably work best. :)

CKoerner_WMF lowered the priority of this task from Medium to Lowest.

Since this work is not happening in the immediate future (talking to other Wikimedia projects than Wikipedia about Page Previews) I'm going to lower the priority and un-assign. If we pick things back up in the future we can go from there.

@LGoto @ovasileva what's the status of this old task? Can it be declined if we don't plan to do this?

I think this can (and should) be declined, but will defer to Olga for final call.

I think we do eventually want to do this and there have been sporadic requests for it in the past. I'd say lets leave it open, but keep the priority as-is for right now.

ovasileva raised the priority of this task from Lowest to Medium.Mar 16 2021, 12:33 PM
ovasileva moved this task from Incoming to Needs Prioritization on the Web-Team-Backlog board.

This task was closed as part of backlog upkeep. If you believe it was closed in error, please respond on the ticket.